{x},{y}

API: weather.gov:national-weather-service-api
Endpoint: /gridpoints/{wfo}/{x},{y}
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 504ms

Description

Returns raw numerical forecast data for a 2.5km grid area

Parameters (3)

wfo (?, path, required)

Forecast office ID

x (integer, path, required)

Forecast grid X coordinate

Constraints: {'minimum': 0}

y (integer, path, required)

Forecast grid Y coordinate

Constraints: {'minimum': 0}

Examples (3)

Topeka Kansas Grid Forecast curl
curl 'https://api.weather.gov/gridpoints/TOP/31,80'
import requests

resp = requests.get("https://api.weather.gov/gridpoints/TOP/31,80")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("gridpoints/{wfo}/{x},{y}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/gridpoints/TOP/31,80");
const data = await resp.json();
New York City Area Grid Forecast curl
curl 'https://api.weather.gov/gridpoints/OKX/33,37'
import requests

resp = requests.get("https://api.weather.gov/gridpoints/OKX/33,37")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("gridpoints/{wfo}/{x},{y}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/gridpoints/OKX/33,37");
const data = await resp.json();
Washington DC Area Grid Forecast curl
curl 'https://api.weather.gov/gridpoints/LWX/96,72'
import requests

resp = requests.get("https://api.weather.gov/gridpoints/LWX/96,72")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("gridpoints/{wfo}/{x},{y}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/gridpoints/LWX/96,72");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:27:04.920651 200 504ms
2026-04-04 03:20:37.984599 200 730ms
2026-04-04 02:15:30.705204 200 355ms
2026-04-03 14:52:25.318931 200 1189ms
2026-04-03 13:09:16.498808 200 426ms
2026-04-03 12:45:29.078313 200 598ms
2026-03-30 07:24:26.894626 200 465ms
2026-03-30 07:07:06.638419 200 432ms
2026-03-30 02:18:17.286160 200 735ms
2026-03-29 14:53:52.184178 200 379ms
2026-03-29 14:46:35.827364 200 365ms
2026-03-29 12:47:28.383734 200 588ms
2026-03-23 10:58:12.233588 200 394ms
2026-03-23 06:18:12.981317 200 355ms
2026-03-22 21:42:31.991313 200 562ms